Subject: Re: ip_tunnel: Remove gratuitous skb scrubbing

From: Nicolas Dichtel <[email-masked]>
Date: Wed, 15 Apr 2015 17:41:26 +0200

Le 15/04/2015 15:57, Herbert Xu a écrit :
> On Wed, Apr 15, 2015 at 06:22:29PM +0800, Herbert Xu wrote:
[snip]
> Subject: skbuff: Do not scrub skb mark within the same name space
>
> The commit ea23192e8e577dfc51e0f4fc5ca113af334edff9 ("tunnels:
Maybe add a Fixes tag?
Fixes: ea23192e8e57 ("tunnels: harmonize cleanup done on skb on rx path")

> harmonize cleanup done on skb on rx path") broke anyone trying to
> use netfilter marking across IPv4 tunnels.  While most of the
> fields that are cleared by skb_scrub_packet don't matter, the
> netfilter mark must be preserved.
>
> This patch rearranges skb_scurb_packet to preserve the mark field.
nit: s/scurb/scrub

Else it's fine for me.